Nueva versión de Dart Editor 7905

Ya tenemos nueva versión del editor de DART. Release 7905

Es importante que sigáis de cerca las nuevas versiones ya que se están llevando cabo cambios de compilación de Dart a Js y esto puede implicar que compilar vuestro antiguo código con nuevas versiones del editor produzca errores inesperados o que vuestro código no funcione correctamente.

Os adjunto la nota oficial.

New Dart Editor build available…

http://gsdview.appspot.com/dart-editor-archive-integration/latest/

Highlights … build 7905

  • The new analysis engine is turned on – performance for large projects should be significantly improved
  • dart2js is now the default JavaScript compiler in the editor. See this note from Kasper for more info: http://news.dartlang.org/2012/05/dart2js-now-default-compiler-in-dart.html
  • Initial support for resolving package: imports
  • Type propagation support! code completion now works with many var variables:
    • var foo = “mystring”; // code completion for foo will give you methods for the class String
  • Added the ability to customize key bindings
  • UI improvements in the Search box / UI, and in the manage launches dialog
  • Bug fixes to the rename refactoring

Full change log …

http://gsdview.appspot.com/dart-editor-archive-integration/latest/changelog.html

Tutorial …

http://www.dartlang.org/docs/getting-started/editor/


 Google+

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s